# Class IllegalArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException

Direct Known Subclasses:
  `CSSThemeCompiler.CSSSyntaxException, IllegalThreadStateException, NumberFormatException`

public class IllegalArgumentException extends RuntimeException
Thrown to indicate that a method has been passed an illegal or inappropriate argument. Since: JDK1.0, CLDC 1.0 See Also:Thread.setPriority(int)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalArgumentException()`
  Constructs an IllegalArgumentException with no detail message.
  `IllegalArgumentException(String s)`
  Constructs an IllegalArgumentException with the specified detail message.
  `IllegalArgumentException(String s, Throwable cause)`
  Constructs an IllegalArgumentException with the specified detail message and cause.
  `IllegalArgumentException(Throwable cause)`
  Constructs an IllegalArgumentException with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalArgumentException

    public IllegalArgumentException()
    Constructs an IllegalArgumentException with no detail message.

  - ### IllegalArgumentException

    public IllegalArgumentException(String s)
    Constructs an IllegalArgumentException with the specified detail message. s - the detail message.

  - ### IllegalArgumentException

    public IllegalArgumentException(String s, Throwable cause)
    Constructs an IllegalArgumentException with the specified detail message and cause. s - the detail message. cause - the cause.

  - ### IllegalArgumentException

    public IllegalArgumentException(Throwable cause)
    Constructs an IllegalArgumentException with the specified cause. cause - the cause.